org.apache.ivy.util

## Class HexEncoder

- java.lang.Object
- - org.apache.ivy.util.HexEncoder

    public class HexEncoder
    extends java.lang.Object

Simple encoder of byte arrays into String array using only the hexadecimal alphabet

### Constructor Summary

Constructors
Constructor and Description
`HexEncoder()`

### Method Summary

Methods
`static java.lang.String` `encode(byte[] packet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HexEncoder

    public HexEncoder()

### Method Detail

#### encode

    public static java.lang.String encode(byte[] packet)